[Rubygems-developers] [CruiseControl] RubyGems build 2232 failed

Eric Hodel drbrain at segment7.net
Fri Jun 19 16:59:15 EDT 2009


On Jun 12, 2009, at 16:55, Chad Woolley wrote:

> On Fri, Jun 12, 2009 at 4:19 PM, <devnull+rubygems- 
> ci at pivotallabs.com> wrote:
>> The build failed.
>>
>> CHANGES
>> -------
>> New revision 2232 detected
>> Revision 2232 committed by zenspider on 2009-06-12 23:12:38
>> hoe'd the rakefile
>> ...
>> See http://ci.pivotallabs.com:3333/builds/RubyGems/2232 for details.
>
> Is this because of a downlevel Hoe version on our CI server?  If so,
> we can set up a wrapper build script to run GemInstaller (or anything
> you want to accomplish same thing) and also print out env stats.  This
> is what we do on the Rails build:
>
> http://github.com/rails/rails/blob/master/ci/ci_build.rb
>
> I DON'T want to manually install a required version of Hoe, even
> though I could - it is better to have the build completely specify its
> required dependencies (this is a shared server CI anyway, but it's the
> principle).

Yes, you need Hoe 2, which is backwards compatible with 1.x.


More information about the Rubygems-developers mailing list